extends layout

block content
    a(href='..') ↵ Back
    h1 User level management
        form(method='post' action='logout')
            button Log out
        h2 Code uploads
        form(action='submit')
            button Submit source code for compilation
        table
            tr
                th Date
                th ID
                th Status
                th Actions
            each submission in submissions
                tr
                    form
                        td= submission.date
                        td
                            unless submission.imageId === undefined
                                = submission.imageId.match(/^(?:[a-z0-9]+:)?([a-z0-9]{12})/)[1]
                        td= submission.status
                        td
                            button(formaction='/containers/' + submission.containerId +
                            '/logs') Compile log
                            unless submission.imageId === undefined
                                button(formaction='/team/deploy/' +
                                submission.imageId formmethod='post') Deploy
            else
                tr
                    td(colspan=4) You didn't submit any source code yet